Bug 450487 - Satellite Installation Guide: No description about required RPMs
Satellite Installation Guide: No description about required RPMs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
510
All Linux
medium Severity low
: ---
: ---
Assigned To: John Ha
Preethi Thomas
: Documentation
Depends On:
Blocks: 456984
  Show dependency treegraph
 
Reported: 2008-06-09 00:33 EDT by Satoru SATOH
Modified: 2014-08-04 18:18 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satoru SATOH 2008-06-09 00:33:37 EDT
Description of problem:

(2.1. Software Requirements of installation guide;
e.g.
http://www.redhat.com/docs/manuals/satellite/Red_Hat_Network_Satellite-5.1.0/html/Installation_Guide/s1-requirements-software.html
)

The instruction in installation guide implicitly looks assuming that satellite
server
can reach to RHN (online) but it's apparently not always the case. I think it might
be better if there is a concrete list of packages required other than @Base
packages.


Version-Release number of selected component (if applicable):
rhn-i18n-guides-5.1.0-5 (rhn-satellite-5.1.0-181 ISO)


How reproducible: Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

As far as I confirmed, the following RPMs are needed for satellite installation:

  PyXML alsa-lib apr apr-util compat-libstdc++-296 distcache gd gd-devel
  gd-progs httpd httpd-suexec mod_python mod_ssl newt-perl perl-DateManip
  perl-HTML-Parser perl-HTML-Tagset perl-Parse-Yapp perl-Time-HiRes perl-URI
  perl-XML-Dumper perl-XML-Encoding perl-XML-Parser perl-libwww-perl
  perl-libxml-enno rpm-build rpm-devel
Comment 4 John Ha 2008-12-24 00:36:45 EST
Perhaps on that particular page:

http://www.redhat.com/docs/manuals/satellite/Red_Hat_Network_Satellite-5.1.0/html/Installation_Guide/s1-requirements-software.html

We can replace the note that says:

 Installing packages other than the packages contained in the @Base package
 group can lead to package conflicts. 

With a note that says:

 Additional packages beyond @Base are required to install Red Hat Network
 Satellite. The Satellite installer will prompt you to either install the listed
 packages or ask if you want it to download the files from RHN. If your system
 is not registered to RHN, you should have the RHEL installation media
 available during the Satellite installation process to install these additional
 packages as needed.
Comment 5 Satoru SATOH 2009-01-21 08:43:55 EST
It seems that updates/rhelrpms in Satellite ISO image is the complete list of packages required other than '@ Base' and installer instructs about the list.

Satellite-iso/install.pl:

 # The file updates/rhelrpms contains list of package names
 # that Satellite rpms need.
 sub get_required_rpms {
  my $NEEDRPMS_FILE = 'updates/rhelrpms';
  ...
  return \%needed_rpms;
 }


Say it's true, could you please refer to that file in installation guide also?

 ex. Also, additional packages required for satellite are listed in the file 
     "rhelrpms" under updates/ in the Satellite installation ISO image.

I prefer this because I always try to automate satellite installation with kickstart as far as possible.
Comment 7 John Ha 2009-02-19 12:41:06 EST
Okay, have changed the statement to:

"Additional packages beyond @Base are required to install Red Hat Network Satellite. The Satellite installer will prompt you to either install the listed
packages or ask if you want it to download the files from RHN. If your system
is not registered to RHN, you should have the RHEL installation media available during the Satellite installation process to install these additional packages as needed.

The files necessary for Satellite installation are listed in the rhelrpms file located in the updates directory on the Satellite installation ISO image."


The change (when it is next built tomorrow) can be seen here:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.0/html/Installation_Guide/ch-requirements.html#s1-requirements-software
Comment 9 Satoru SATOH 2009-02-25 09:45:52 EST
Looks great! Thanks for the updates.
Comment 13 Brandon Perkins 2009-09-10 16:44:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.